1. Fiat Account Management
v2.1 (Production)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • v2.1
    • Getting Started
    • Account Setup
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog 20260408
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
          GET
        • Create Fiat Account Request
          POST
        • Submit Additional Information for Fiat Account Request
          POST
        • Get Fiat Account Application Status
          GET
        • Get Bank Accounts
          GET
        • Add Bank Account
          POST
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • Upload File
      • getTnC
  1. Fiat Account Management

Create Fiat Account Request

POST
/v2.0/crm/fiatAccount/request
API Overview
ItemValue
API StatusStable
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
Applicable User RolesPSP and Direct Client

Description
To create a fiat account request

Request

Authorization
Body Params application/json

Example
{
  "participantCode": "A0102611",
  "country": "HK",
  "currency": "USD",
  "acceptedTnC": ["X102", "X101"]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v2.0/crm/fiatAccount/request' \
--header 'Content-Type: application/json' \
--data-raw '{
  "participantCode": "A0102611",
  "country": "HK",
  "currency": "USD",
  "acceptedTnC": ["X102", "X101"]
}'

Responses

🟢200OK
application/json
Body

Example
{
    "code": 200,
    "msg": null,
    "data": {
        "requestId": "4219",
        "participantCode": "A0102611",
        "country": "HK",
        "currency": "USD",
        "accountDetails": [
            {
                "beneficiaryName": "copAutotest01",
                "beneficiaryAddress": "[\"add1\",\"add2\",\"add3\"]",
                "baNumber": "",
                "swiftCode": "",
                "countryCode": "HK",
                "bankName": null,
                "bankAddress": null,
                "intermediarySwiftCode": null,
                "intermediaryCountryCode": null,
                "intermediaryBankName": null,
                "intermediaryBankAddress": null,
                "currency": "USD",
                "paymentReference": null,
                "accountId": "4508"
            }
        ],
        "status": 1,
        "statusInfo": "PENDING",
        "missingFields": [
            "documents.boardResolution",
            "documents.businessBankStatement",
            "documents.businessDocuments",
            "documents.certifiedIdsOnfido",
            "documents.memorandumAndArticlesOfAssociation",
            "documents.proofOfAddress",
            "documents.sourceOfFunds",
            "documents.sourceOfWealth",
            "highRiskCountries",
            "specifyHighRiskCountries",
            "addressOfPrincipalPlaceOfBusiness",
            "beneficiaryIndustriesTop5",
            "businessRegistrationNo",
            "businessSize",
            "companyType",
            "contactPerson",
            "country",
            "countriesToSendFundTo",
            "dateOfIncorporation",
            "descriptionOfBusiness",
            "email",
            "employeeNumber",
            "fullCompanyName",
            "keyPersonDetails",
            "industry",
            "pep",
            "pepAssociate",
            "pepAssociateList",
            "pepList",
            "registeredBusinessAddress"
        ],
        "createdAt": 1776046508000,
        "tncToBeAccepted": []
    },
    "timestamp": 1776075309318,
    "logId": "69dcc22b515f6c1abda40726ccac12a1"
}
Modified at 2026-04-15 03:56:48
Previous
Get Fiat Account Capabilities
Next
Submit Additional Information for Fiat Account Request
Built with